POST
/api/peers/{peer-id}/edr/bypassBypass compliance for a non-compliant peer
Allows an admin to bypass EDR compliance checks for a specific peer. The peer will remain bypassed until the admin revokes it OR the device becomes naturally compliant in the EDR system.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
peer-idstringrequired
The unique identifier of the peer
200Peer compliance bypassed successfully
peer_idstringrequired
The ID of the bypassed peer.
400Bad Request (peer not in non-compliant state)
messagestringoptional
A human-readable error message.
401Unauthorized
messagestringoptional
A human-readable error message.
403Forbidden
messagestringoptional
A human-readable error message.
500Internal Server Error
messagestringoptional
A human-readable error message.
Error handling
A 400 is returned: Bad Request (peer not in non-compliant state). A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 500 is returned: Internal Server Error.